using System;
using System.Windows.Threading;
using System.Windows;

namespace ChatController.ChatKlassen
{
    public static class ChatControlExtensions
    {    
        private static Action EmptyDelegatee = delegate() { };

        public static void RefreshChatUI(this UIElement uiElement)
        {
            uiElement.Dispatcher.Invoke(DispatcherPriority.Render, EmptyDelegatee);
        }
    }
}